function [Hs,tp,Tp]=HsTp(Data)
%%This function is used to create Hs and Tp matrix for hindcast data
%Hs and Tp refer to Hs and Tp for total sea
%INPUT :
%DATA=the hindcast data

%OUTPUT :
%tp is an array of spectral period before including the randomness
%Tp is an array of spectral period after including the randomness
%Hs is an array of significant wave height

DATA=importdata(Data,' ',4);DATA=DATA.data;%loading the file
%DATA=load(Data);
row=size(DATA,1);%getting the amount of Tp and Hs
tp=DATA(:,8);%read the spectral period from the hindcast data

%input randomness to Tp
a=rand(row,1);
I=round(1+(log(tp/3.244)/0.09525));
Tp=3.244*exp(0.09525*(I-0.5-a));%spectral period after inputing randomness

Hs=DATA(:,7);%read the significant wave height from the hindcast data


