function [A,w,phase]=apf(A,w,wlim,method)
%Selecting amplitude, phase and frequency from the choosen method:
%method=choosen method:
    %1.Random phase
    %2.Random amplitude
    %3.Random frequency
    %4.Combination
%A=amplitude
%w=frequency (mean)
%wlim=limiting frequency for each component w

if ~exist('method','var'); method=1; end

rng('shuffle');
switch method
    case 1
        phase=rand(1,length(A))*2*pi();
    case 2
        A=raylinv(rand(1,length(A)),sqrt(A.^2/2));A(isnan(A))=0;
        %rng(1)
        phase=rand(1,length(A))*2*pi();
    case 3
        w=rand(1,length(A)).*(wlim(2:end)-wlim(1:end-1))+wlim(1:end-1);
        %rng(1)
        phase=rand(1,length(A))*2*pi();
    case 4
        A=raylinv(rand(1,length(A)),sqrt(A.^2/2));A(isnan(A))=0;
        w=rand(1,length(A)).*(wlim(2:end)-wlim(1:end-1))+wlim(1:end-1);
        phase=rand(1,length(A))*2*pi();
end