function [bs,ovtm]=bsovtm(ux,ax,z,d,D,condition)
%Calculate the baseshear and overturning momemnt of single pile
%ux=horizontal wave particle velocity
%ax=horizontal wave particle acceleration
%z=z-coordinate
%t=time
%D=diamater of cylinder
%condtion=linear or non-linear wave:
    %1.Linear wave
    %2.Non-linear wave

if ~exist('condition','var'); condition=1; end

rho=1025;%sea water density
dz=z(2:end)-z(1:end-1);
Z=dz/2+z(1:end-1);%locating the midle point of each element
UX=(ux(:,:,2:end)-ux(:,:,1:end-1))/2+ux(:,:,1:end-1);
AX=(ax(:,:,2:end)-ax(:,:,1:end-1))/2+ax(:,:,1:end-1);
Z=permute(Z,[1 3 2]);Z=repmat(Z,size(UX,1),size(UX,2));
dz=permute(dz,[1 3 2]);dz=repmat(dz,size(UX,1),size(UX,2));

cm=zeros(size(dz));cd=zeros(size(dz));
cm(Z>2)=1.6;cm(Z<=2)=1.2;

switch condition
    case 1
        cd=cd+1.15;
    
    case 2
        cd(Z>2)=0.65;cd(Z<=2)=1.05;
end

pinertia=rho*pi*D^2/4.*cm.*AX;%inertia load per unit length
pdrag=0.5*rho*cd*D.*UX.*abs(UX);%drag load per unit length

figure(4)
hold all
plot(pinertia(:),Z(:),'.-','LineWidth',1);

figure(5)
hold all
plot(pdrag(:),Z(:),'.-','LineWidth',1);


dinertia=pinertia.*dz;binertia=sum(dinertia,3);
ddrag=pdrag.*dz;bdrag=sum(ddrag,3);
bs=binertia+bdrag;

oinertia=sum((dinertia.*(Z+d)),3);
odrag=sum((ddrag.*(Z+d)),3);
ovtm=oinertia+odrag;