function [pot,ux,uz,ax,az]=constantstrech(k,w,phase,x,t,...
    pota,uxa,uza,axa,aza)
%Using Stanberg linear extrapolation method to calculate kinematic for z>0;
%k=wave number
%w=frequency
%x=x coordinate
%t=time
%u=water particle velocity
%a=wave particle acceleration

%potensial velocity
pot=sum((pota.*sin(k*x-w*t+phase)));
            
%particle velocity
ux=sum(uxa.*cos(k*x-w*t+phase));    
uz=sum(uza.*sin(k*x-w*t+phase));
            
%particle acceleration
ax=sum(axa.*sin(k*x-w*t+phase));
az=-sum(aza.*cos(k*x-w*t+phase));