function [Poutside,count,seastate]=contourg(Hs,Tp,q,c,d,lambda,alpha,beta)
%making and plotting the contour line and conunting point that being outside
    %the countour line
%INPUT:
%Hs = set of significant wave from data
%Tp = set of spectral wave period that assigned the significant wave from
    %data
%q=annual probability
%c=parameter used for condition function of the log mean of the spectral peak
    %period
%d=parameter used for condition function of the log variance of the spectral peak
    %period
%lambda = location parameter of 3-parameter weibull distribution
%alpha = scale parameter of 3-parameter weibull distribution
%beta = shape parameter of 3-parameter weibull distribution

%OUTPUT:
%Poutside = probability point (data) being outside the countour line
%count = point (data) that outside the contour line (this result got from
    %assesing the location of data one by one)

FHs1=1-(q/2920);%calculating CDF from q(annual probability)
x=norminv(FHs1);%calculating the radius of circle in gausian
    %space by rosenblat transformation

Poutside=exp(-0.5*(x^2));%probability being outside the countour

%creating set of u1 and u2 (values in gausian space)
%u1 refer to Hs, u2 refer to Tp
n=0;
for u1=-x:0.05:x
    n=n+1;
    U1(n)=u1;
    U2(n)=((x^2)-(u1^2))^0.5;
end
for u1=x:-0.05:-x
    n=n+1;
    U1(n)=u1;
    U2(n)=-(((x^2)-(u1^2))^0.5);
end

%Transfer back u1 to Hs and u2 to Tp
Hs1=(((-log(1-normcdf(U1))).^(1/beta))*alpha)+lambda;
Tpmean1=c(1)+(c(2)*(Hs1.^c(3)));
Tpvar1=(d(3))+(d(1)*exp(-d(2)*Hs1));
Tp1=exp(norminv(normcdf(U2),Tpmean1,sqrt(Tpvar1)));

%counting point outside the contour line
%the counting is done in gausian space
FHs=1-exp(-(((Hs-lambda)/alpha).^beta));
x1=norminv(FHs);
Tpmean=c(1)+(c(2)*(Hs.^c(3)));
Tpvar=(d(3))+(d(1)*exp(-d(2)*Hs));
FTp=0.5*erfc(-(log(Tp)-Tpmean)./((2*Tpvar).^0.5));
y1=norminv(FTp);

count=0;
CUT=1;
for i=1:size(Hs)
    if (x1(i)^2)+(y1(i)^2)>x^2 && Hs(i)>CUT;
        count=count+1;
    end
end

%putting the significant wave height and spectral period from rosenblat
    %into a matrix
seastate=[transpose(Hs1),transpose(Tp1)];

%plot the contour line
plot(Tp1(Hs1>CUT),Hs1(Hs1>CUT));
xlabel('Tp');
ylabel('Hs');
title('contour');
grid
hold all