function surface=linsurface(A,w,phase,x,t,d)
%Creating the linear water surface elevation
%A=amplitude
%w=frequency (mean)
%wlim=limiting frequency for each component w
%x=coordinate
%t=duration

if ~exist('x','var'); x=0; end
if ~exist('t','var'); t=0; end

k=wavenum(w,d);%generating wave number

surface=zeros(length(x),length(t));
for i=1:length(t)
    for j=1:length(x)
    surface(j,i)=sum(A.*cos(k*x(j)-w*t(i)+phase));
    end
end