function [percentile,worst1,worst2,c1,h1]=perex(depth,seastate,C,h)
%calculating the percentile that can be used for CDF of extreme crest that
    %produce the same value got from longterm analysis by using the worst
    %sea state that has been determined before
%INPUT:
%depth=the depth of the sea for calculating crest distribution
%worst = the worst sea state along the contour line (assume that the worst
    %sea state happen for the highest significant wave height along the
    %contour line
%C= wave crest from long term analysis

%determining the worst sea state by using foristal wave height
seastate=seastate(seastate(:,1)>2&seastate(:,2)>1,:);
h1=seastate(:,1).*((-(log(1-(0.9.^(seastate(:,2)/(3*60*60))))/2.263)).^(1/2.126));
[~,indh]=max(h1);
worst1=seastate(indh,:);%worst seastate (Hs,Tp)
FH=(1-exp(-2.263*((h/worst1(1))^2.126))).^(3*60*60./(0.78*worst1(2)));

    
%determining the worst sea state by using foristal wave crest
T1=0.78.*seastate(:,2);
w1=2*pi./T1;
g=9.81;
k1=transpose(wavenum(w1,depth));
Ur=seastate(:,1)./((k1.^2)*(depth^3));
S1=2*pi*seastate(:,1)./(g*(T1.^2));
BETA=2-(2.1597*S1)+(0.0968*(Ur.^2));
ALPHA=0.3536+(0.2892*S1)+(0.1060*Ur);
c1=ALPHA.*seastate(:,1).*((-log(1-(0.9.^(seastate(:,2)/(3*60*60))))).^(1./BETA));

[~,indc]=max(c1);
worst2=seastate(indc,:);%worst seastate (Hs,Tp)
T2=0.78.*worst2(2);
w2=2*pi./T2;
g=9.81;
k2=wavenum(w2,depth);
Ur2=worst2(1)./((k2.^2)*(depth^3));
S2=2*pi*worst2(1)./(g*(T2.^2));
BETA2=2-(2.1597*S2)+(0.0968*(Ur2.^2));
ALPHA2=0.3536+(0.2892*S2)+(0.1060*Ur2);
FC=(1-exp(-((C./(ALPHA2*worst2(1))).^BETA2))).^(3*60*60./(0.78*worst2(2)));
percentile=100*[FH,FC];