function SCATTER=scatdiag(Hs,Tp)
%%This function is used to create scatter diagram from given Hs and Tp 
    %from data:
%INPUT :
%Hs = set significant wave height from data
%Tp = set of spectral wave period that assigned the significant wave from
    %data
    
%OUTPUT :
%SCATTER = the scatter diagram

Hsm=max(Hs);%calculating the maximum Hs. This will be used in generating class
Tpm=max(Tp);%calculating the maximum Tp. This will be used in generating class
Hclass=transpose(0:0.5:ceil(Hsm));%generating class for Hs
Tpclass=transpose(0:1:ceil(Tpm));%generating class for Tp

%%Assigning data of Hs and Tp to the class
%assignment will be do in two direction to save time

N=size(Hs,1);%getting the amount of Hs and Tp

ROW=size(Hclass,1)-1;
COL=size(Tpclass,1)-1;
SCATTER=zeros(ROW,COL);

for i=1:floor(N/2)
    %the assigment of data is done by dividing the data with class interval
    %the result+1 will specify the location of the class
    
    %determined the location of data in the class from data number 1 to N/2
    j1=floor(Hs(i,1)/0.5)+1;
    k1=floor(Tp(i,1)/1)+1;
    
    %determined the location of data in the class from data number N to
        %N/2+1
    j2=floor(Hs(N+1-i,1)/0.5)+1;
    k2=floor(Tp(N+1-i,1)/1)+1;
    
    SCATTER(j1,k1)=SCATTER(j1,k1)+1;
    SCATTER(j2,k2)=SCATTER(j2,k2)+1;
    %each iteration will assign two data = save time
end

%conditional data assigned for odd N
test=floor(N/2)*2;
if test<N    
    j=floor(Hs(floor(N/2)+1,1)/0.5)+1;
    k=floor(Tp(floor(N/2)+1,1)/1)+1;
    SCATTER(j+1,k+1)=SCATTER(j+1,k+1)+1;
end