function [S2min,S2plus,m02]=secspect(A,w,wlim,d)
%Caculating the second order correction then use the correction to
%calculate the contribution of second order to spectrum

if ~exist('d','var'); d=1000; end

k=wavenum(w,d);%wavenumber
r=k.*tanh(k*d);
len=length(w);

Ki=repmat(k,len,1);
Kj=Ki';
Kmin=Ki-Kj;
Kplus=Ki+Kj;
Ri=repmat(r,len,1);
Rj=Ri';
Wi=repmat(w,len,1);
Wj=Wi';
wmin=abs(Wi-Wj);
wplus=Wi+Wj;
S2min=zeros(1,len);
S2plus=zeros(1,len);

Dmin=((sqrt(Ri)-sqrt(Rj)).*(sqrt(Rj).*(Kj.^2-Rj.^2)-sqrt(Ri).*(Kj.^2-Rj.^2))...
    +2*((sqrt(Ri)-sqrt(Rj)).^2).*(Ki.*Kj+Ri.*Rj))...
    ./((sqrt(Ri)-sqrt(Rj)).^2-abs(Kmin).*tanh(abs(Kmin)*d));
Dmin(isnan(Dmin))=0;

Dplus=(2*((sqrt(Ri)+sqrt(Rj)).^2).*(Ki.*Kj-Ri.*Rj)...
    +(sqrt(Ri)+sqrt(Rj)).*(sqrt(Ri).*(Kj.^2-Rj.^2)+sqrt(Rj).*(Ki.^2-Ri.^2)))...
    ./((sqrt(Ri)+sqrt(Rj)).^2-abs(Kplus).*tanh(abs(Kplus)*d));

a2min=0.25*(((Dmin-(Ki.*Kj+Ri.*Rj))./sqrt(Ri.*Rj))+(Ri+Rj));
a2plus=0.25*(((Dplus-(Ki.*Kj-Ri.*Rj))./sqrt(Ri.*Rj))+(Ri+Rj));

AA=repmat(A,len,1).*(repmat(A,len,1).');

m02=0.5*sum(sum((((a2min.*AA).^2)+((a2plus.*AA).^2))));

for i=1:length(w)
    S2min(i)=sum((0.5*(a2min(wmin>=wlim(i)&wmin<wlim(i+1)).*...
        AA(wmin>=wlim(i)&wmin<wlim(i+1))).^2)/(wlim(i+1)-wlim(i)));
        
    S2plus(i)=sum((0.5*(a2plus(wplus>=wlim(i)&wplus<wlim(i+1)).*...
        AA(wplus>=wlim(i)&wplus<wlim(i+1))).^2)/(wlim(i+1)-wlim(i)));
end

