function [pot2,ux2,uz2,ax2,az2,UX2mins,UX2pluss,UXder,...
    AX2mins,AX2pluss,AXder]=...
    secstansberg(k,w,phase,x,t,PSImin,PSIplus,AMIN,APLUS,...
    UXAMIN,UXAPLUS,UZAMIN,UZAPLUS,AXAMIN,AXAPLUS,AZAMIN,AZAPLUS,...
    pota,uxa,uza,axa,aza,UXderA,AXderA,POTderA,UZderA,AZderA)
%Second order correction stansberg
  
    POT=AMIN.*sin(PSImin)+APLUS.*sin(PSIplus);
    
    UXmins=UXAMIN.*cos(PSImin);
    %UXmin2=UXAMIN.*cosh(abs(Kmin)*(z+d)).*cos(PSImin);
    UXpluss=UXAPLUS.*cos(PSIplus);
    %UXplus2=UXAPLUS.*cosh(Kplus*(z+d)).*cos(PSIplus);
    
    UZ=UZAMIN.*sin(PSImin)+UZAPLUS.*sin(PSIplus);

    AXmins=AXAMIN.*sin(PSImin);
    %AXmin2=AMIN.*cosh(abs(Kmin)*(z+d)).*sin(PSImin);
    AXpluss=AXAPLUS.*sin(PSIplus);
    %AXplus2=AXAPLUS.*cosh(Kplus*(z+d)).*sin(PSIplus);
    
    AZ=-AZAMIN.*cos(PSImin)-AZAPLUS.*cos(PSIplus);
    
    %filtering NAN and sum up result
    POT(isnan(POT))=0;POT2=sum(sum(POT,1),2);
    UXmins(isnan(UXmins))=0;UX2mins=sum(sum(UXmins,1),2);
    UXpluss(isnan(UXpluss))=0;UX2pluss=sum(sum(UXpluss,1),2);
    UZ(isnan(UZ))=0;UZ2=sum(sum(UZ,1),2);
    AXmins(isnan(AXmins))=0;AX2mins=sum(sum(AXmins,1),2);
    AXpluss(isnan(AXpluss))=0;AX2pluss=sum(sum(AXpluss,1),2);
    AZ(isnan(AZ))=0;AZ2=sum(sum(AZ,1),2);
       
    UX2=UX2mins+UX2pluss;
    AX2=AX2mins+AX2pluss;
    UXder=sum(UXderA.*cos(k*x-w*t+phase));
    AXder=sum(AXderA.*sin(k*x-w*t+phase));
    
    %2nd potensial velocity
    pot2=sum((pota.*sin(k*x-w*t+phase))+...
        (POTderA.*sin(k*x-w*t+phase)))+...
        POT2;
            
    %2nd particle velocity
    ux2=sum(uxa.*cos(k*x-w*t+phase))+UXder+UX2;    
    uz2=sum((uza.*sin(k*x-w*t+phase))+...
        (UZderA.*(sin(k*x-w*t+phase))))+UZ2;
            
    %2nd particle acceleration
    ax2=sum(axa.*sin(k*x-w*t+phase))+AXder+AX2;
    az2=-sum((aza.*cos(k*x-w*t+phase))+...
        (AZderA.*(cos(k*x-w*t+phase))))+AZ2;
