function [total,surface2,ux2,uz2,ax2,az2,z,pot2,sur2plus,sur2min]...
    =secsurface(A,w,wlim,phase,d,lower,x,nz,t,method,wp,velcon,plo,surface)
%Caculating the second order correction then use the correction to correct
%the amplitude from linear term by using itteration to get the same
%spectrum as linear term produce
%A=amplitude
%w=frequency
%wlim=limit frequency
%phase=phase of wave
%nz=number of points in z coordinate
%wp=peak frequency
%velcon:1. to calculate velocity at x=0, 
       %2. to calculate velocity at x=0,& at z=surface (for every x and t)
%d=depth
%x=x coordinate
%t=time
%surface2=second order surface correction
%surface1=first order after spectrum linearization
%total=total surface

if ~exist('x','var'); x=0; end
if ~exist('t','var'); t=0; end
if ~exist('d','var'); d=1000; end
if ~exist('wp','var'); wp=50; end

k=wavenum(w,d);%wavenumber
r=k.*tanh(k*d);
len=length(w);

%surface1=zeros(length(x),length(t));
surface2=zeros(length(x),length(t));
sur2plus=surface2;sur2min=surface2;
PSImin=zeros(len,len);
PSIplus=PSImin;

Ki=repmat(k,len,1);
Kj=Ki';
Wi=repmat(w,len,1);
Wj=Wi';
Wmin=Wi-Wj;
Wplus=Wi+Wj;
Kmin=Ki-Kj;
Kplus=Ki+Kj;
Ri=repmat(r,len,1);
Rj=Ri';
WW=Wi.*Wj;

Dmin=((sqrt(Ri)-sqrt(Rj)).*(sqrt(Rj).*(Ki.^2-Ri.^2)-sqrt(Ri).*(Kj.^2-Rj.^2))...
    +2*((sqrt(Ri)-sqrt(Rj)).^2).*(Ki.*Kj+Ri.*Rj))...
    ./((sqrt(Ri)-sqrt(Rj)).^2-abs(Kmin).*tanh(abs(Kmin)*d));
Dmin(isnan(Dmin))=0;

Dplus=(2*((sqrt(Ri)+sqrt(Rj)).^2).*(Ki.*Kj-Ri.*Rj)...
    +(sqrt(Ri)+sqrt(Rj)).*(sqrt(Ri).*(Kj.^2-Rj.^2)+sqrt(Rj).*(Ki.^2-Ri.^2)))...
    ./((sqrt(Ri)+sqrt(Rj)).^2-abs(Kplus).*tanh(abs(Kplus)*d));

a2min=0.25*(((Dmin-(Ki.*Kj+Ri.*Rj))./sqrt(Ri.*Rj))+(Ri+Rj));
a2plus=0.25*(((Dplus-(Ki.*Kj-Ri.*Rj))./sqrt(Ri.*Rj))+(Ri+Rj));

PHASEmin=repmat(phase,len,1)-(repmat(phase,len,1).');
PHASEplus=repmat(phase,len,1)+(repmat(phase,len,1).');

%AA=repmat(A2,len,1).*(repmat(A2,len,1).');
AA=repmat(A,len,1).*(repmat(A,len,1).');

AAplus=AA.*a2plus;AAmin=AA.*a2min;

for ix=1:length(x)
for it=1:length(t)
    PSImin(:,:,ix,it)=Kmin*x(ix)-Wmin*t(it)+PHASEmin;
    PSIplus(:,:,ix,it)=Kplus*x(ix)-Wplus*t(it)+PHASEplus;
    sur2plus(ix,it)=sum(sum((AAplus.*cos(PSIplus(:,:,ix,it))),1),2);
    sur2min(ix,it)=sum(sum((AAmin.*cos(PSImin(:,:,ix,it))),1),2);
    surface2(ix,it)=sur2plus(ix,it)+sur2min(ix,it);
end
end
total=surface+surface2;

switch velcon
    case 1
[ux2,uz2,ax2,az2,z,pot2]=...
    seckinemtic(A,AA,w,k,phase,total,Dmin,Dplus,...
    Kmin,Kplus,Wmin,Wplus,x,nz,t,d,lower,method,wp,WW,PSImin,PSIplus,plo);
    case 0
    ux2=0;uz2=0;ax2=0;az2=0;z=0;pot2=0; 
end