function [pot,ux,uz,ax,az]=stansberg(k,w,phase,x,t,...
    pota,uxa,uza,axa,aza,UXderA,AXderA,POTderA,UZderA,AZderA)
%Using Stanberg linear extrapolation method to calculate kinematic for z>0;
%k=wave number
%w=frequency
%x=x coordinate
%t=time
%u=water particle velocity
%a=wave particle acceleration

UXder=sum(UXderA.*cos(k*x-w*t+phase));
AXder=sum(AXderA.*sin(k*x-w*t+phase));

%potensial velocity
pot=sum((pota.*sin(k*x-w*t+phase))+(POTderA.*sin(k*x-w*t+phase)));
            
%particle velocity
ux=sum(uxa.*cos(k*x-w*t+phase))+UXder;    
uz=sum((uza.*sin(k*x-w*t+phase))+(UZderA.*(sin(k*x-w*t+phase))));
            
%particle acceleration
ax=sum(axa.*sin(k*x-w*t+phase))+AXder;
az=-sum((aza.*cos(k*x-w*t+phase))+(AZderA.*(cos(k*x-w*t+phase))));