function [w,niter]=wavefreq(k,d)
%return the wavefrequency for given wavenumber by utilizing dispersion
    %relation: w2=gk tanh(kh for certain depth (h)
%k = wave number
%a = number of itteration

if ~exist('d','var'); d=1000; end
g=9.812;

w=zeros(1,length(k));
w1=0;w2=100;
niter=zeros(1,length(k));
for i=1:length(w)
    while abs(w(i)^2-g*k(i)*tanh(k(i)*d))>0.0000001
        w(i)=w1+((w2-w1)/2);
        if (w(i)^2-g*k(i)*tanh(k(i)*d))*(w1^2-g*k(i)*tanh(k(i)*d))>0;
            w1=w(i);
        else
            w2=w(i);
        end
        niter(i)=niter(i)+1;
        
        if niter(i)==500
            disp(['Wavenum iteration not convergent at i= ',num2str(i),...
                ',k = ',num2str(k(i))]);
            w(i)=sqrt(g*k(i));%deep water approach
            break
        end
    end
    w1=0;w2=100;
end