function [k,niter]=wavenum(w,d)
%return the wavenumber for given wave frequency by utilizing dispersion
    %relation: w2=gk tanh(kh for certain depth (h)
%k = wave number
%a = number of itteration
    
if ~exist('d','var'); d=1000; end
g=9.812;

k=zeros(1,length(w));
k1=0;k2=100;
niter=zeros(1,length(w));
for i=1:length(w)
    while abs(w(i)^2-g*k(i)*tanh(k(i)*d))>0.0000001
        k(i)=k1+((k2-k1)/2);
        if (w(i)^2-g*k(i)*tanh(k(i)*d))*(w(i)^2-g*k1*tanh(k1*d))>0;
            k1=k(i);
        else
            k2=k(i);
        end
        niter(i)=niter(i)+1;
        
        if niter(i)==500
            %disp(['Wavenum iteration not convergent at i= ',num2str(i),...
            %    ',w = ',num2str(w(i))]);
            k(i)=w(i)^2/g;
            break
        end
    end
    k1=0;k2=100;
end